Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.ui.wombat
Class TextInputField

    java.lang.Object
      jcontrol.ui.wombat.Component
          jcontrol.ui.wombat.AbstractFocusComponent
              jcontrol.ui.wombat.TextInputField

All Implemented Interfaces:
  EventListener, ActionProducer, KeyListener, TouchListener, IFocusable

    public class TextInputField

extends AbstractFocusComponent

This class implements a single line text imput field. Using the keyboard the user can enter text into this component.

(c) Copyright 2005-2007 DOMOLOGIC GmbH

Field Summary
`static int` | `STYLE_ALIGN_CENTER` Align text to the middle
`static int` | `STYLE_ALIGN_LEFT` Align text to the left
`static int` | `STYLE_ALIGN_RIGHT` Align text to the right

Fields inherited from class jcontrol.ui.wombat.AbstractFocusComponent
`BORDER_WIDTH, listener`

Fields inherited from class jcontrol.ui.wombat.Component
`backgroundColor, COLOR_COMPONENT_BACKGROUND, COLOR_COMPONENT_BACKGROUND_HIGHLIGHTED, COLOR_COMPONENT_DARK_SHADOW, COLOR_COMPONENT_FOREGROUND, COLOR_COMPONENT_FOREGROUND_INACTIVE, COLOR_COMPONENT_HIGHLIGHT_SHADOW, COLOR_COMPONENT_LIGHT_SHADOW, COLOR_COMPONENT_LIST_BACKGROUND, COLOR_COMPONENT_NORMAL_SHADOW, COLOR_COMPONENT_SELECTION_TEXT, COLOR_COMPONENT_SELECTION_TEXT_BACKGROUND, COLOR_COMPONENT_SELECTION_TEXT_BACKGROUND_INACTIVE, COLOR_COMPONENT_SELECTION_TEXT_INACTIVE, eventQueue, font, foregroundColor, frame, height, parent, RESERVED1, RESERVED2, RESERVED3, RESERVED4, RESERVED5, RESERVED6, state, STATE_ABORT_UPDATE, STATE_ANIMATED, STATE_BG_COLOR_SET, STATE_COVERED, STATE_DIRTY_MASK, STATE_DIRTY_PAINTALL, STATE_DIRTY_REPAINT, STATE_DIRTY_UPDATE, STATE_DISABLED, STATE_DISPOSED, STATE_FG_COLOR_SET, STATE_FOCUS, STATE_HEIGHT_FIXED, STATE_NO_REDRAW, STATE_REVALIDATE, STATE_SELECTED, STATE_SIZE_FIXED, STATE_UPDATED, STATE_VISIBLE, STATE_WIDTH_FIXED, transparentColor, width, x, y`

Fields inherited from interface jcontrol.ui.wombat.IFocusable
`TRANSFER_FOCUS_BACKWARD, TRANSFER_FOCUS_FORWARD`

Fields inherited from interface jcontrol.ui.wombat.event.TouchListener
`RESULT_ACCEPTED, RESULT_EXECUTED, RESULT_NONE`

Constructor Summary
`TextInputField(int x, int y, int width, int style)` Creates a new TextInputField.

Method Summary
`void` | `addText(String text)` Adds the given text at the cursor position and shifts the cursor about the length of the given text.
`String` | `getText()` Returns the current text in the text input field.
`KeyEvent` | `onKeyEvent(KeyEvent e)` This method is called when a keyboard action has been performed.
`int` | `onTouchEvent(TouchEvent e)` Every time a touch event is fired, this method will be called.
`void` | `paint(XGraphics g)` Paint the TextInputField.
`void` | `setCursorBlink(boolean onoff)` Turns the blinking state of the cursor on or off.
`void` | `setCursorPosition(int position)` Sets the cursor at the spectified position.
`void` | `setText(String text)` Sets some text into this TextInputField.

Methods inherited from class jcontrol.ui.wombat.AbstractFocusComponent
`clearCorners, drawBevelRect, drawButton, drawDottedRect, drawFocusRect, getActionListener, onActionEvent, requestFocus, setActionListener, setEnabled, setVisible`

Methods inherited from class jcontrol.ui.wombat.Component
`drawDisabledImage, getFrame, isEnabled, isVisible, isVisibleInternal, redrawInternalAndParent, repaint, repaintAll, safeExec, setBackgroundColor, setBackgroundColorInternal, setBounds, setDirty, setFont, setForegroundColor, setForegroundColorInternal, setParametersInternal, setRedraw, setTransparentColor, unsafeExec, update`

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Field Detail

### STYLE_ALIGN_LEFT

    public static final int STYLE_ALIGN_LEFT

  Align text to the left

  See Also:
    Constant Field Values

### STYLE_ALIGN_CENTER

    public static final int STYLE_ALIGN_CENTER

  Align text to the middle

  See Also:
    Constant Field Values

### STYLE_ALIGN_RIGHT

    public static final int STYLE_ALIGN_RIGHT

  Align text to the right

  See Also:
    Constant Field Values

Constructor Detail

### TextInputField

    public TextInputField(int x,
                          int y,
                          int width,
                          int style)

  Creates a new TextInputField.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
    `width` - the width of the TextInputField. The height is calculated automatically and depends on the font size.
    `style` - One of the available styles STYLE_ALIGN_LEFT, STYLE_ALIGN_CENTER or STYLE_ALIGN_RIGHT.

Method Detail

### setCursorBlink

    public void setCursorBlink(boolean onoff)

  Turns the blinking state of the cursor on or off.

### setText

    public void setText(String text)

  Sets some text into this TextInputField. This will not reposition the cursor or throw any event.

### getText

    public String getText()

  Returns the current text in the text input field.

  Returns:
    the current text.

### setCursorPosition

    public void setCursorPosition(int position)

  Sets the cursor at the spectified position. If the position is negative or exceeds the length of the currently displayed text this method does nothing.

  Parameters:
    `position` - a new cursor position.

### onTouchEvent

    public int onTouchEvent(TouchEvent e)

  Description copied from interface: `TouchListener`
  Every time a touch event is fired, this method will be called.

  Specified by:
    `onTouchEvent` in interface `TouchListener`
  Specified by:
    `onTouchEvent` in class `AbstractFocusComponent`
  Parameters:
    `e` - The touch event.
  Returns:
    `RESULT_ACCEPTED` if the TouchEvent has been consumed by the TouchListener,
    `RESULT_EXECUTED` if the TouchEvent has been consumed by the TouchListener and some important action has been performed, e.g. an action event has been invoked,
    `RESULT_NONE` if the TouchEvent should be passed on to the next TouchListener.

### addText

    public void addText(String text)

  Adds the given text at the cursor position and shifts the cursor about the length of the given text. This method will throw an event that contains the newly added text, i.e. the parameter of this method.

  Parameters:
    `text` - a text to add.

### onKeyEvent

    public KeyEvent onKeyEvent(KeyEvent e)

  Description copied from class: `AbstractFocusComponent`
  This method is called when a keyboard action has been performed.

  Specified by:
    `onKeyEvent` in interface `KeyListener`
  Specified by:
    `onKeyEvent` in class `AbstractFocusComponent`
  Parameters:
    `e` - the event that contains information about the key.
  Returns:
    `null` if the KeyEvent has been consumed by the KeyListener,
    or the the specified KeyEvent if it should be passed on to the next KeyListener.

### paint

    public void paint(XGraphics g)

  Paint the TextInputField. Don't call this method directly.

  Overrides:
    `paint` in class `Component`
  Parameters:
    `g` - the application's graphics object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD